Gocator API

- Home
- Categories
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Groups Pages
Public Member Functions
GoDigital Class Reference
Digital

## Description

Represents Digital output settings.

Inherits kObject.

## Public Member Functions
kStatus | GoDigital_AddSource (GoDigital digital, k32u sourceId)
| Selects the specified decision source for use in determining pass/fail status. More...
kStatus | GoDigital_ClearSources (GoDigital digital)
| Removes all selected decision sources. More...
k64s | GoDigital_Delay (GoDigital digital)
| Gets the output delay. More...
GoOutputDelayDomain | GoDigital_DelayDomain (GoDigital digital)
| Gets the output delay domain. More...
kStatus | GoDigital_EnableSchedule (GoDigital digital, kBool enabled)
| Enables or disables the scheduler for this output. More...
GoDigitalEvent | GoDigital_Event (GoDigital digital)
| Gets the event which triggers this output to fire. More...
k32u | GoDigital_OptionAt (GoDigital digital, kSize index)
| Gets the decision source option at the specified index. More...
kSize | GoDigital_OptionCount (GoDigital digital)
| Gets the number of available decision source options. More...
GoDigitalPass | GoDigital_PassMode (GoDigital digital)
| Gets the pass/fail mode for the digital output. More...
k32u | GoDigital_PulseWidth (GoDigital digital)
| Gets the width of digital output pulses. More...
k32u | GoDigital_PulseWidthLimitMax (GoDigital digital)
| Gets the maximum valid value for the Pulse Width setting. More...
k32u | GoDigital_PulseWidthLimitMin (GoDigital digital)
| Gets the minimum valid value for the Pulse Width setting. More...
kStatus | GoDigital_RemoveSource (GoDigital digital, kSize index)
| Removes (deselects) the decision source at the specified index. More...
kBool | GoDigital_ScheduleEnabled (GoDigital digital)
| Gets the enabled state of the scheduler for this output. More...
kStatus | GoDigital_SetDelay (GoDigital digital, k64s delay)
| Sets the delay from exposure until output is triggered, in units based on GoDomain. More...
kStatus | GoDigital_SetDelayDomain (GoDigital digital, GoOutputDelayDomain delayDomain)
| Sets the output delay domain. More...
kStatus | GoDigital_SetEvent (GoDigital digital, GoDigitalEvent event)
| Sets the event which triggers this output to fire. More...
kStatus | GoDigital_SetPassMode (GoDigital digital, GoDigitalPass pass)
| Sets the pass/fail mode for the digital output. More...
kStatus | GoDigital_SetPulseWidth (GoDigital digital, k32u width)
| Sets the width of digital output pulses. More...
kStatus | GoDigital_SetSignalType (GoDigital digital, GoDigitalSignal signal)
| Sets the signal type of output. More...
GoDigitalSignal | GoDigital_SignalType (GoDigital digital)
| Gets the signal type of output. More...
k32u | GoDigital_SourceAt (GoDigital digital, kSize index)
| Gets the identifier of the selected output source at the specified index. More...
kSize | GoDigital_SourceCount (GoDigital digital)
| Gets the number of decision sources that are currently selected for determining pass/fail state. More...

## Member Function Documentation

kStatus GoDigital_AddSource | ( | GoDigital | digital,
|  | k32u | sourceId
| ) |  |

Selects the specified decision source for use in determining pass/fail status.

Parameters

  digital | GoDigital object.
  sourceId | Index of the source to be added/selected.

Returns
  Operation status.

kStatus GoDigital_ClearSources | ( | GoDigital | digital | ) |

Removes all selected decision sources.

Parameters

  digital | GoDigital object.

Returns
  Operation status.

k64s GoDigital_Delay | ( | GoDigital | digital | ) |

Gets the output delay.

Parameters

  digital | GoDigital object.

Returns
  The output delay (us or mm).

GoOutputDelayDomain GoDigital_DelayDomain | ( | GoDigital | digital | ) |

Gets the output delay domain.

Parameters

  digital | GoDigital object.

Returns
  The output delay domain.

kStatus GoDigital_EnableSchedule | ( | GoDigital | digital,
|  | kBool | enabled
| ) |  |

Enables or disables the scheduler for this output.

Parameters

  digital | GoDigital object.
  enabled | kTRUE to enable, kFALSE to disable

Returns
  Operation status.

GoDigitalEvent GoDigital_Event | ( | GoDigital | digital | ) |

Gets the event which triggers this output to fire.

Parameters

  digital | GoDigital object.

Returns
  The output event.

k32u GoDigital_OptionAt | ( | GoDigital | digital,
|  | kSize | index
| ) |  |

Gets the decision source option at the specified index.

Parameters

  digital | GoDigital object.
  index | Source option index.

Returns
  Source option.

kSize GoDigital_OptionCount | ( | GoDigital | digital | ) |

Gets the number of available decision source options.

Parameters

  digital | GoDigital object.

Returns
  Count of decision source options.

GoDigitalPass GoDigital_PassMode | ( | GoDigital | digital | ) |

Gets the pass/fail mode for the digital output.

Parameters

  digital | GoDigital object.

Returns
  Current pass/fail mode.

k32u GoDigital_PulseWidth | ( | GoDigital | digital | ) |

Gets the width of digital output pulses.

Parameters

  digital | GoDigital object.

Returns
  Pulse width (microseconds).

k32u GoDigital_PulseWidthLimitMax | ( | GoDigital | digital | ) |

Gets the maximum valid value for the Pulse Width setting.

Parameters

  digital | GoDigital object.

Returns
  Maximum valid pulse width value (microseconds).

k32u GoDigital_PulseWidthLimitMin | ( | GoDigital | digital | ) |

Gets the minimum valid value for the Pulse Width setting.

Parameters

  digital | GoDigital object.

Returns
  Minimum valid pulse width value (microseconds).

kStatus GoDigital_RemoveSource | ( | GoDigital | digital,
|  | kSize | index
| ) |  |

Removes (deselects) the decision source at the specified index.

Parameters

  digital | GoDigital object.
  index | Index of the source to be removed.

Returns
  Operation status.

kBool GoDigital_ScheduleEnabled | ( | GoDigital | digital | ) |

Gets the enabled state of the scheduler for this output.

Parameters

  digital | GoDigital object.

Returns
  kTRUE if the scheduler is enabled.

kStatus GoDigital_SetDelay | ( | GoDigital | digital,
|  | k64s | delay
| ) |  |

Sets the delay from exposure until output is triggered, in units based on GoDomain.

mm units when GoDomain is distance, uS units when GoDomain is time. Ignored when GoDomain is Immediate or when Pass Mode is Software.

Parameters

  digital | GoDigital object.
  delay | k64s object.

Returns
  Operation status.

kStatus GoDigital_SetDelayDomain | ( | GoDigital | digital,
|  | GoOutputDelayDomain | delayDomain
| ) |  |

Sets the output delay domain.

Parameters

  digital | GoDigital object.
  delayDomain | Output delay domain.

Returns
  The output delay domain (time or encoder value).

kStatus GoDigital_SetEvent | ( | GoDigital | digital,
|  | GoDigitalEvent | event
| ) |  |

Sets the event which triggers this output to fire.

Parameters

  digital | GoDigital object.
  event | The output event.

Returns
  Operation status.

kStatus GoDigital_SetPassMode | ( | GoDigital | digital,
|  | GoDigitalPass | pass
| ) |  |

Sets the pass/fail mode for the digital output.

Parameters

  digital | GoDigital object.
  pass | Pass/fail mode.

Returns
  Operation status.

kStatus GoDigital_SetPulseWidth | ( | GoDigital | digital,
|  | k32u | width
| ) |  |

Sets the width of digital output pulses.

Parameters

  digital | GoDigital object.
  width | Pulse width (microseconds).

Returns
  Operation status.

kStatus GoDigital_SetSignalType | ( | GoDigital | digital,
|  | GoDigitalSignal | signal
| ) |  |

Sets the signal type of output.

Parameters

  digital | GoDigital object.
  signal | The signal type.

Returns
  Operation status.

GoDigitalSignal GoDigital_SignalType | ( | GoDigital | digital | ) |

Gets the signal type of output.

Parameters

  digital | GoDigital object.

Returns
  The signal type.

k32u GoDigital_SourceAt | ( | GoDigital | digital,
|  | kSize | index
| ) |  |

Gets the identifier of the selected output source at the specified index.

Parameters

  digital | GoDigital object.
  index | Selected source index.

Returns
  Source identifier.

kSize GoDigital_SourceCount | ( | GoDigital | digital | ) |

Gets the number of decision sources that are currently selected for determining pass/fail state.

Parameters

  digital | GoDigital object.

Returns
  Count of selected sources.

The documentation for this class was generated from the following file:

- Outputs/GoDigital.h